Feisty: XGL+ATI+Compiz

Aggiornamento 5/4/2007: FUNZIONA, TUTTO MOLTO FLUIDO!!!

Buona notizia! Ho saputo che finalmente XGL supporta Compiz in feisty …(prima solo beryl)
Naturalmente avrete bisogno dei driver ATI proprietari ( gli ultimi sono 8.35.5 che però cozzano con il kernel di feisty ) .

Non ho ancora testato il tutto ma spero di farlo presto: nel frattempo se qualcuno di voi lettori vuole cimentarsi sappiate che è possibile, me lo hanno confermato anke sul forum internazionale.

Forum internazionale

In attesa di aiglx è meglio di nulla.
Cooooooooool

AGGIORNAMENTO:

Eccovi la guida per far funzionare compiz e XGL su feisty. Se volete compiz come il sottoscritto , fermati all’installazione di beryl ( che tra l altro da oggi si è riunito a compiz) e attivate gli effetti dal menù effetti desktop già presenti in feisty.

GUIDA XGL & COMPIZ

32 risposte a “Feisty: XGL+ATI+Compiz”

  1. su Edgy credo proprio di no..
    Ritengo dipenda dallo xorg 7.2 che è presente in feisty.

    Forse adesso che Beryl si è riunito a compiz qualcosa si muoverà…Nel frattempo ti consiglio feisty perkè è davvero molto stabile!

  2. Guarda che è possibile usare compiz + xgl su edgy.
    C’è una guida di pollycoke che funziona.
    Anche se, imho, è meglio usare aiglx, se possibile…

  3. io ci ho provato per mesi… ho postato su forum italiano e inglese e c’era sempre un errore .

    vabbeh poco male ora su feisty sfreccia

    PS quella di pollycoke è su dapper e XGL non su edgy

  4. CONFERMO Freedreamer, quella di pollycoke è la guida per dapper e non edgy, e sono OBBLIGATO a usare xgl, perchè la mia Ati X1600 non è supportata.

  5. ubox ti dirò…
    ho 3 PC di cui uno un AMD 64 bit con scheda 256 mb nvidia ma compiz con Aiglx non gira perfettamente.
    Questo è dovuto a mio avviso al consumo esagerato di CPU da parte di aiglx/compiz ( per intenderci è un po’ scattoso a volte)
    XGL gira notevolmente più fluido e ti consiglio di tenere quello , almeno per ora (IMHO)

  6. Grazie per la dritta Freedreamer, infatti ho provato anche gli aiglx, funziona normalmente per un uso classico del desktop, ma per l’accelerazione 3D non se ne parla proprio con la mia Ati X1600, vabbe, per ora mi accontento, sperando che escano il prima possibile driver migliori e magari anche open!Anche se avevo letto che il problema era che la Ati non rilasciava le note tecniche e quindi diventava difficoltoso creare driver.Speriamo!

  7. il problema è che i driver della ati non supportano l’ opzione ( composite) che è fondamentale per far andare AIGLX… finchè non si decidono a metterci mano le cose non cambieranno!

  8. Ho provato a seguire la tua guida sta volta in feisty, ma non funziona proprio la mia ati x1600, parte xgl, ma si vede malissimo, è tutto illeggibile!hai soluzioni?grazie!

  9. sicuro di non avere opzioni strane nello xorg? se vuoi postalo gli do un okkio.. mettilo in un file txt però se no fai un commento lunghissimo 🙂

  10. trovato errore credo:
    guarda il mio
    Section “Device”
    Identifier “ATI Technologies Inc RS485 [Radeon Xpress 1100 IGP]”
    Driver “fglrx”
    Busid “PCI:1:5:0”

    EndSection

    mentre nel tuo hai i driver mesa:
    Section “Device”
    Identifier “ATI Technologies, Inc. ATI Default Card”
    Driver “vesa”
    BusID “PCI:4:0:0”
    EndSection

    Section “Device”
    Identifier “aticonfig-Device[0]”
    Driver “fglrx”
    Option “VideoOverlay” “on”
    Option “OpenGLOverlay” “off”
    EndSection

    ia parte che è doppio..io CAMBIEREI queste righe così:
    Section “Device”
    Identifier “ATI Technologies, Inc. ATI Default Card”
    Driver “fglrx”
    BusID “PCI:4:0:0”
    EndSection

    PER SICUREZZA fai un bk dello xorg nel caso non ripartisse .. fai sapere

  11. prova a dare fglrxinfo

    display: :0.0 screen: 0
    OpenGL vendor string: ATI Technologies Inc.
    OpenGL renderer string: RADEON XPRESS Series
    OpenGL version string: 2.0.6334 (8.34.8)

    a me da questo a te?

  12. Xlib: extension “XFree86-DRI” missing on display “:0.0”.
    display: :0.0 screen: 0
    OpenGL vendor string: Mesa project: http://www.mesa3d.org
    OpenGL renderer string: Mesa GLX Indirect
    OpenGL version string: 1.4 (1.5 Mesa 6.5.2)

    Azzz nooo, hai ragione, in Edgy era configurato perfettamente, ho fatto l’aggiornamento a Feisty e mi ha perso la configurazione!
    Ora provo a fare i cambiamenti che mi hai detto e vedo!Grazie infinite!

  13. Ho fatto tutti i cambiamenti da te proposti, ma continua a non funzionare sfasando tutto e se do il comando fglrxinfo continua a dirmi che ho i driver mesa3d, mentre cliccando su driver con restrizioni dice che l’hardware in uso non necessita di alcun driver con restrizioni!
    Ma porc***

  14. Freedreamer, finalmente CE L’HO FATTA!Anche se ho dovuto fare un casino assurdo, perchè dopo le modifiche non partiva più xorg!Quindi ho reinstallato tutto Feisty pulito senza upgrade come prima, ho abilitato i repository, installato xgl e avviato composite!Tutto perfetto!
    GRAZIE INFINITE!!!e perdonami per averti fatto perdere un sacco di tempo!A buon rendere…!UBox

  15. ammazza, velocissimo, ero abituato con beryl che era già veloce, ma ora va che è una scheggia…!
    Ora devo vedere di installare Avant windows navigator che non ho trovato nei repository!
    Ovvio che torno a trovarvi…
    è già da un pò che vi ho messi tra i preferiti!

  16. Caro Freedreamer, dopo che tutto mi andava alla grande con Edgy,beryl2.0 NON snv e XGL..ho fatto l’upgrade a feisty, e mi ha aggiornato xgl-server, beryl stesso anche se sembra non sia andato a toccare xorg.conf..considerando che fglrx mi da tutt’ora:
    display: :0.0 screen: 0
    OpenGL vendor string: ATI Technologies Inc.
    OpenGL renderer string: RADEON XPRESS Series
    OpenGL version string: 2.0.6334 (8.34.8)

    e poi perchè mi ha installato Compiz l’aggiornamento?? grr??

  17. paul, beryl ormai così come lo ricordi, tenderà a morire…. si sono già unificati a compiz e non credo che ci saranno upgrade per Feisty…
    Cma io reputo compiz moooooolto meglio , poi de gustibus 🙂

  18. certo che va con XGL e compiz sul nostro acer.
    il composite è necessario solo su Aiglx, su XGL devi disabilitarlo che tu abbia beryl o compiz (per schede ATI)
    segui la guida , una volta che entri nella sessione XGL, vai nel menu sistema –> prefernze –>effetti desktop e ….magia!!!

    😉

    fai sapere

I commenti sono chiusi